Skip to main content
GET
/
onetime_offerings
/
{onetime_offering_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "items": [
    {
      "id": "<string>",
      "price": {
        "amount": 123,
        "currency": {
          "code": "<string>",
          "name": "<string>",
          "symbol": "<string>",
          "base_unit": 123
        }
      },
      "description": "<string>",
      "metadata": {}
    }
  ],
  "price": {
    "amount": 123,
    "currency": {
      "code": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "base_unit": 123
    }
  }
}
{
  "error": {
    "message": "Invalid authentication credentials",
    "code": "invalid_credentials"
  }
}
{
  "error": {
    "message": "The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden",
    "code": "client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"
  }
}
{
  "error": {
    "message": "One-time offering not found",
    "code": "onetime_offering_not_found"
  }
}
{
  "error": {
    "message": "This one-time offering has expired | This one-time offering was already consumed",
    "code": "onetime_offering_expired | onetime_offering_already_consumed"
  }
}
{
  "error": [
    {
      "code": "validation_error",
      "message": "Validation Error",
      "errors": [
        {
          "attribute": "query -> subject",
          "code": "missing",
          "message": "field required"
        }
      ]
    }
  ]
}

Required Scopes

mapi:read - Read access to Merchant API resources

Authorizations

Authorization
string
header
required

Supertab OAuth2 flow for CAPI. See Authentication.

Headers

x-api-version
string<date>
default:2025-04-01

The version of the Customer API you are using.

x-supertab-client-id
string<tagged_id>
required

Your Client ID with Supertab. Used to identify the website on which Customer is making a Purchase.

Examples:

"live_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"

"test_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"

Path Parameters

onetime_offering_id
string<tagged_id>
required

An ID of a One-time Offering

Example:

"onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9"

Response

Successful Response

Represents a one-time offering.

id
string<tagged_id>
required
Example:

"onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9"

items
OnetimeOfferingItem · object[]
required
price
Price · object
required

An amount of money